- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# easy_install – Installs Python libraries

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Installs Python libraries, optionally in a virtualenv

## Requirements

The below requirements are needed on the host that executes this module.

- virtualenv

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
executable - |  | The explicit executable or a pathname to the executable to be used to run easy_install for a specific version of Python installed in the system. For example `easy_install-3.3`, if there are both Python 2.7 and 3.3 installations in the system and you want to run easy_install for the Python 3.3 installation.
name - / required |  | A Python library name
state - | Choices: present ← latest | The desired state of the library. `latest` ensures that the latest version is installed.
virtualenv - |  | an optional virtualenv directory path to install into. If the virtualenv does not exist, it is created automatically
virtualenv_command - | Default: "virtualenv" | The command to create the virtual environment with. For example `pyvenv`, `virtualenv`, `virtualenv2`.
virtualenv_site_packages boolean | Choices: no ← yes | Whether the virtual environment will inherit packages from the global site-packages directory. Note that if this setting is changed on an already existing virtual environment it will not have any effect, the environment must be deleted and newly created.

## Notes

Note

- Please note that the `easy_install` module can only install Python libraries. Thus this module is not able to remove libraries. It is generally recommended to use the pip module which you can first install using easy_install.

- Also note that virtualenv must be installed on the remote host if the `virtualenv` parameter is specified.

## Examples

    # Examples from Ansible Playbooks
    - easy_install:
        name: pip
        state: latest

    # Install Bottle into the specified virtualenv.
    - easy_install:
        name: bottle
        virtualenv: /webapps/myapp/venv

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Wright (@mattupstate)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.